MboxLogger
Keywords: com.prolixtech.utils.MboxLogger interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.prolixtech.utils
Interface MboxLogger

All Known Implementing Classes:
  JavaLogger, NullLogger, SingletonLogger

    public interface MboxLogger

Author:
  Constantinos Michael

Method Summary
`void` | `baloon(java.lang.String msg, java.lang.String title)`
`void` | `disableBaloons()`
`void` | `exception(java.util.logging.Level x, java.lang.String msg, java.lang.Exception e)`
`void` | `exception(java.lang.String msg, java.lang.Exception e)`
`void` | `fine(java.lang.String msg)`
`void` | `http(Request req, java.lang.String msg)` Specialized submit for HTTP messages
`void` | `info(java.lang.String msg)` Shortcut to submit a log message at the level INFO
`void` | `log(java.util.logging.Level vel, java.lang.String msg)` The main logging function is set by default to output to the console.
`void` | `severe(java.lang.String msg)` Shortcut to submit a log message at the level SEVERE
`void` | `sql(java.lang.String msg)`
`void` | `warning(java.lang.String msg)` Shortcut to submit a log message at the level WARNING

Method Detail

### baloon

    void baloon(java.lang.String msg,
                java.lang.String title)

### log

    void log(java.util.logging.Level vel,
             java.lang.String msg)

  The main logging function is set by default to output to the console. If we require better logging in the future, perhaps a number of streams will be made. The default operation prints the last function called (gets it through a stacktrace) the message, the time.

  Parameters:
    `vel` - the level of the message to log.
    `msg` - the message to log.
  See Also:
    `Level`

### fine

    void fine(java.lang.String msg)

### severe

    void severe(java.lang.String msg)

  Shortcut to submit a log message at the level SEVERE

  Parameters:
    `msg` - the message to submit

### warning

    void warning(java.lang.String msg)

  Shortcut to submit a log message at the level WARNING

  Parameters:
    `msg` - the message to submit

### info

    void info(java.lang.String msg)

  Shortcut to submit a log message at the level INFO

  Parameters:
    `msg` - the message to submit

### sql

    void sql(java.lang.String msg)

### http

    void http(Request req,
              java.lang.String msg)

  Specialized submit for HTTP messages

  Parameters:
    `msg` - the message to submit

### disableBaloons

    void disableBaloons()

### exception

    void exception(java.util.logging.Level x,
                   java.lang.String msg,
                   java.lang.Exception e)

### exception

    void exception(java.lang.String msg,
                   java.lang.Exception e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD